package ru.yandex.featurer.utils

import akka.actor.Props
import spray.routing.{HttpServiceActor, Route}

/**
 * @author avhaliullin
 */
class HttpHandlerActor(val route: Route) extends HttpServiceActor {
  def receive = runRoute(route)
}

object HttpHandlerActor{
  def props(route: Route) = Props(new HttpHandlerActor(route))
}
